# docker-compose -f "docker-compose.yml" up -d --build
# docker-compose down

version: '3.3'

services:
  # gitlab-web:
  #   image: gitlab/gitlab-ce:latest
  #   container_name: gitlab-web
  #   hostname: gitlab-web
  #   volumes:
  #     - './gitlab-config:/etc/gitlab'
  #     - './gitlab-logs:/var/log/gitlab'
  #     - './gitlab-data:/var/opt/gitlab'
  #   ports:
  #     - '2222:22'
  #     - '8080:80'
  #     - '444:443'
  #     - '4567:4567'
  #   environment:
  #     GITLAB_OMNIBUS_CONFIG: |
  #       gitlab_rails['gitlab_shell_ssh_port'] = 2222
  #       registry_external_url 'http://localhost:4567'
  #       registry['enable'] = true
  #       unicorn['socket'] = '/opt/gitlab/var/unicorn/gitlab.socket'
  #   restart: always

  gitlab-runner1:
    image: gitlab/gitlab-runner:latest
    container_name: gitlab-runner1
    hostname: gitlab-runner1
    volumes:
      - './gitlab-runner1-config:/etc/gitlab-runner:Z'
      - '/var/run/docker.sock:/var/run/docker.sock'
    restart: always

  # gitlab-runner2:
  #   image: gitlab/gitlab-runner:latest
  #   container_name: gitlab-runner2
  #   hostname: gitlab-runner2
  #   volumes:
  #     - './gitlab-runner2-config:/etc/gitlab-runner:Z'
  #     - '/var/run/docker.sock:/var/run/docker.sock'
  #   restart: always

  # gitlab-runner3:
  #   image: gitlab/gitlab-runner:latest
  #   container_name: gitlab-runner3
  #   hostname: gitlab-runner3
  #   volumes:
  #     - './gitlab-runner3-config:/etc/gitlab-runner:Z'
  #     - '/var/run/docker.sock:/var/run/docker.sock'
  #   restart: always

# networks:
#     default:
#         external:
#             name: gitlab

